ESatz
Date: 2015-04-26

de.jost_net.OBanToo.Dtaus

## Class ESatz

- java.lang.Object
- - de.jost_net.OBanToo.Dtaus.Satz
  - - de.jost_net.OBanToo.Dtaus.ESatz

-     public class ESatz
      extends Satz

  E-Satz - Datei-Nachsatz
  Author:
    Heiner Jostkleigrewe

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `eAnzahlC` Feld e04, 7 Bytes, numerisch, Anzahl der Datensätze C, Abstimm-Daten
    `private java.lang.String` | `eSatzart` Feld e02, 1 Byte, alpha, Satzart, Konstant E
    `private java.lang.String` | `eSatzlaenge` Feld e01, 4 Bytes, numerisch, Satzlängenfeld, Konstant 0128
    `private java.math.BigInteger` | `eSummeBankleitzahlen` Feld e07, 17 Bytes, numerisch, Summe der Bankleitzahlen, Abstimm-Unterlage
    `private java.math.BigInteger` | `eSummeBetraege` Feld e08, 13 Bytes, numerisch, Summe der Euro-Beträge aus den Datensätzen C (Feld 12)
    `private java.math.BigInteger` | `eSummeKontonummern` Feld e06, 17 Bytes, numerisch, Summe der Kontonummern, Abstimm-Unterlage

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ESatz()`
    `ESatz(java.lang.String satz, int toleranz)` Konstruktor mit der Übergabe eines zu parsenden Satzes

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(CSatz csatz)`
    `int` | `getAnzahlDatensaetze()`
    `java.math.BigInteger` | `getSummeBankleitzahlen()`
    `java.math.BigInteger` | `getSummeBetraege()`
    `java.math.BigInteger` | `getSummeKontonummern()`
    `void` | `setAnzahlDatensaetze(java.lang.String value)`
    `void` | `setSummeBankleitzahlen(java.lang.String value)`
    `void` | `setSummeBetraege(java.lang.String value)`
    `void` | `setSummeKontonummern(java.lang.String value)`
    `java.lang.String` | `toString()`
    `void` | `write(java.io.DataOutputStream dos)`

    - ### Methods inherited from class de.jost_net.OBanToo.Dtaus.Satz

      `codingFromDtaus, make27, makeValid, validCharacters`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### eSatzlaenge

          private java.lang.String eSatzlaenge

      Feld e01, 4 Bytes, numerisch, Satzlängenfeld, Konstant 0128

    - #### eSatzart

          private java.lang.String eSatzart

      Feld e02, 1 Byte, alpha, Satzart, Konstant E

    - #### eAnzahlC

          private int eAnzahlC

      Feld e04, 7 Bytes, numerisch, Anzahl der Datensätze C, Abstimm-Daten

    - #### eSummeKontonummern

          private java.math.BigInteger eSummeKontonummern

      Feld e06, 17 Bytes, numerisch, Summe der Kontonummern, Abstimm-Unterlage

    - #### eSummeBankleitzahlen

          private java.math.BigInteger eSummeBankleitzahlen

      Feld e07, 17 Bytes, numerisch, Summe der Bankleitzahlen, Abstimm-Unterlage

    - #### eSummeBetraege

          private java.math.BigInteger eSummeBetraege

      Feld e08, 13 Bytes, numerisch, Summe der Euro-Beträge aus den Datensätzen C (Feld 12)

  - ### Constructor Detail

    - #### ESatz

          public ESatz()

    - #### ESatz

          public ESatz(java.lang.String satz,
               int toleranz)
                throws DtausException

      Konstruktor mit der Übergabe eines zu parsenden Satzes
      Throws:
        `DtausException`

  - ### Method Detail

    - #### setAnzahlDatensaetze

          public void setAnzahlDatensaetze(java.lang.String value)
                                    throws DtausException

      Throws:
        `DtausException`

    - #### getAnzahlDatensaetze

          public int getAnzahlDatensaetze()

    - #### setSummeKontonummern

          public void setSummeKontonummern(java.lang.String value)

    - #### getSummeKontonummern

          public java.math.BigInteger getSummeKontonummern()

    - #### setSummeBankleitzahlen

          public void setSummeBankleitzahlen(java.lang.String value)

    - #### getSummeBankleitzahlen

          public java.math.BigInteger getSummeBankleitzahlen()

    - #### setSummeBetraege

          public void setSummeBetraege(java.lang.String value)
                                throws DtausException

      Throws:
        `DtausException`

    - #### getSummeBetraege

          public java.math.BigInteger getSummeBetraege()

    - #### add

          public void add(CSatz csatz)

    - #### write

          public void write(java.io.DataOutputStream dos)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`